Skip to main content
POST
/
signing-requests
/
{request_id}
/
custom-fields
@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";

const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });

const response = await firma.customFields.createSigningRequestCustomField({
    request_id: "request_id",
    field_label: "field_label"
});
console.log(response);
curl --request POST \
  --url https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{request_id}/custom-fields \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "field_label": "<string>",
  "field_name": "<string>"
}
'
import requests

url = "https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{request_id}/custom-fields"

payload = {
    "field_label": "<string>",
    "field_name": "<string>"
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({field_label: '<string>', field_name: '<string>'})
};

fetch('https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{request_id}/custom-fields', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "field_name": "<string>",
  "field_label": "<string>",
  "copied_from_template": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
  "error": "Validation Error",
  "message": "Invalid input data",
  "details": {
    "name": "Name is required",
    "email": "Invalid email format"
  }
}
{
  "error": "Unauthorized",
  "message": "Invalid API key"
}
{
  "error": "Not Found",
  "message": "The requested resource was not found"
}
{
  "error": "<string>",
  "message": "<string>",
  "details": {}
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

request_id
string<uuid>
required

Body

application/json
field_label
string
required
Maximum string length: 100
field_name
string
Maximum string length: 50

Response

Custom field created successfully

A custom field definition for a signing request

id
string<uuid>
required

Unique identifier

field_name
string
required

Machine-readable field name

field_label
string

Human-readable display label

copied_from_template
boolean

True if this field was copied from a template

created_at
string<date-time>
updated_at
string<date-time>